Page MenuHomePhabricator

Parsoid linter request failed with The "revision" parameter must be set
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2017.03.27/parsoid?id=AVsRRWWLWOR5i8OuP0cs&_g=(refreshInterval:(display:Off,pause:!f,value:0),time:(from:now-24h,mode:quick,to:now))

{"code":"norevision","info":"The \"revision\" parameter must be set.","docref":"See https://csb.wikipedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes."}

Notably this request didn't have an oldId component and it came from OCG, not changeprop.

Event Timeline

Legoktm created this task.Mar 27 2017, 8:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2017, 8:46 PM

These are also coming in from UA: VisualEditor-MediaWiki/1.29.0-wmf.17 o.O

Arlolra claimed this task.Mar 28 2017, 2:36 PM
Arlolra triaged this task as Medium priority.
Arlolra added a subscriber: Arlolra.

Parsoid can be used with arbitrary wikitext, not necessarily associated with any particular revision.

I believe OCG uses that to render the combined attributions for a book. VE does it to re-render modified extensions, and probably lots of other things.

In other words, we should account for those uses and only send to the api when a full revision is requested. I can supply a patch for that.

Change 345160 had a related patch set uploaded (by Arlolra):
[mediawiki/services/parsoid@master] T161558: Only send lints for full parse

https://gerrit.wikimedia.org/r/345160

Change 345160 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T161558: Only send lints for full parse

https://gerrit.wikimedia.org/r/345160

Mentioned in SAL (#wikimedia-operations) [2017-03-29T20:31:25Z] <arlolra> Updated Parsoid to b1b27146 (T161558, T160207, T153798)

Arlolra closed this task as Resolved.Mar 29 2017, 10:16 PM

Since the deploy, there haven't been anymore of these, so let's consider this done.

There have been four like this,

{"code":"invalid-title","info":"Invalid, non-existent, or outdated title","docref":"See https://www.mediawiki.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at &lt;https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce&gt; for notice of API deprecations and breaking changes."}

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2017.03.29/parsoid?id=AVscBd97WOR5i8Ousy6u&_g=(refreshInterval:(display:Off,pause:!f,value:0),time:(from:now-15m,mode:quick,to:now))

But they all seem to be of the "outdated" variety, which seems legit.